{
    "printWidth": 120,
    "tabWidth": 4,
    "useTabs": false,
    "semi": true,
    "singleQuote": false,
    "trailingComma": "all",
    "bracketSpacing": true,
    "arrowParens": "always",
    "proseWrap": "always",
    "endOfLine": "lf",
    "overrides": [
        {
            "files": "*.md",
            "options": {
                "printWidth": 100,
                "tabWidth": 2
            }
        },
        {
            "files": ["*.yml", "*.yaml"],
            "options": {
                "tabWidth": 2,
                "singleQuote": true
            }
        },
        {
            "files": "*.json",
            "options": {
                "tabWidth": 4,
                "trailingComma": "none"
            }
        }
    ]
}
